skyrim mody
0 komentarzy

Bethesda nieźle namiesza w dwóch wersjach Skyrim. Fani modów mogą mieć problem

Bethesda nieźle namiesza w środowisku moderskim. Nadchodząca nowa wersja Skyrim Anniverasary Edition może doprowadzić do „modpokalipsy” powodując, że jakiekolwiek plug-iny przestaną być wspierane.

TESV dosłownie żyje modami. Tym bardziej dziwi więc fakt, że Bethesda może zabić wszelkie modyfikacje, jakie powstały do ich legendarnego dzieła.

Bethesda namieszała w środowisku modów do Skyrim

W najbliższym miesiącu nastąpi wiekopomna data – Skyrim obchodzi swoje 10-lecie. Z tego względu posiadacze pierwszej reedycji, Special Edition, będą mogli za pewną dopłatę zaktualizować grę do Anniversary Edition. Posiadacze Skyrim SE dostaną też darmową aktualizację wprowadzającą parę ciekawych nowości.

Samo AE zawierać ma całą zawartość z Bethesda Creation Club, wraz z rzeczami, które jeszcze się nie ukazały. Starsza edycja SE również dostanie parę ciekawostek, jak choćby łowienie ryb, tryb survival czy nowego questa. Problem w tym, że dodając tyle nowości, deweloperzy dosłownie odbierają fanom to, dzięki czemu wielu z nich wciąż trwa przy 10-letniej grze. Mody.

Ostatnio fani modów nie mają lekko. Każda aktualizacja do Skyrim SE powoduje, że Skyrim Script Extender (SKSE), czyli obowiązkowy plug-in do obsługi modyfikacji, się psuje. Dlatego też sporo osób ma po prostu wyłączone aktualizacje gry, którą uruchamiają za pomocą zewnętrznego pliku exe. Problem w tym, że nadchodząca edycja AE i związane z nią aktualizacje jeszcze bardziej wpłyną na jakąkolwiek obsługę modów.

Nie będę wchodził w szczegóły, ale nowa edycja drastycznie zmieni kod gry. Przez to wszelkie plug-iny przestaną być z nią kompatybilne. Dokładnie wyjaśnia to jeden z deweloperów odpowiedzialnych za SKSE na Reddicie.

Bethesda postanowiła zaktualizować kompilator wykorzystywany do budowy 64-bitowej wersji Skyrima z Visual Studio 2015 do Visual Studio 2019. Zmienia to sposób generowania kodu w sposób, który zmusza twórców modów do zaczynania od zera w znajdywaniu funkcji i pisaniu haków.

extrwi na Reddit

O ile SKSE raczej szybko dostanie wsparcie nowej edycji, o tyle problem dotknie wszelkie inne plug-iny. Oznacza to, że każdy twórca będzie musiał wykonać jakieś zmiany w swoim narzędziu, o ile to ma w ogóle działać z kolejną wersją gry.

Rozwiązania są dwa. Po pierwsze – można kompletnie wyłączyć aktualizacje gry na Steam i odpalać ją z zewnętrznego pliku wykonywalnego (oraz na wszelki wypadek zrobić backup pliku). Po drugie – po aktualizacji możliwy będzie powrót do poprzedniej wersji, dzięki narzędziom takim, jak Depot Downloader. Inni twórcy również pracują nad swoimi autorskimi narzędziami, które mają zagwarantować kompatybilność. Skyrim AE ma mieć premierę 11 listopada.

Rejestracja konta

Dołącz do grona użytkowników Planety Gracza

Chcesz brać udział w konkursach, wygrywać nagrody i wiedzieć o najnowszych premierach jako pierwszy? Zarejestruj się i dołącz do naszej społecznośći.
Rejestrując się, akceptujesz regulamin naszego serwisu

Masz już konto? Zaloguj się